给 Subclipse 安装 JavaHL 库 

eclipse 是我最爱的Java IDE之一,在eclipse 上使用svn的插件也是有很多~subclipse 便是其中之一.

不过最近我的eclipse一直在报一个缺少JavaHL的错误,每次打开都会弹出来一次,很是烦人。如图:


我检查了一下,我的eclipse 是使用的JavaHL的引擎,而我的系统里还没有安装,所以每次都会弹出来错误。

而我的eclipse里面还装有另外一个svn插件 - subversive,所以我每次提交代码也都成功了。不过,我得干掉这个恶心的错误了~

于是我便在 package.ubuntu.com 搜了一下,找到了解决方案.

sudo apt-get install libsvn-java
sudo apt-get install libsvn-javahl #不适用于 natty

完了之后,在重启下。JavaHL 就进入了系统的Path了~ eclipse 也就不会在找不到它了。

更多信息,参见:http://subclipse.tigris.org/wiki/JavaHL

注:你还可以下载里面提供的 javahltests.jar 文件,运行测试下JavaHL是否OK.
[ ] ( 2035 次浏览 ) 永久链接 ( 3 / 1554 )

<< <上一页 | 13 | 14 | 15 | 16 | 17 | 18 | 19 | 20 | 21 | 22 | 下一页> >>